Bug 77279 - FORMATTING: Underline Text with Italics shows tiny gap in the line under the text (Does not show up when printed)
Summary: FORMATTING: Underline Text with Italics shows tiny gap in the line under the ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Font-Rendering Character
  Show dependency treegraph
 
Reported: 2014-04-10 19:03 UTC by calebm
Modified: 2021-10-15 03:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
A screen shot of gap in the underlined text. (27.89 KB, image/png)
2014-04-10 19:03 UTC, calebm
Details
duplicate of the sample text created by reporter (9.06 KB, application/vnd.oasis.opendocument.text)
2014-06-07 02:07 UTC, Yousuf Philips (jay) (retired)
Details
examples exported to pdf (27.91 KB, application/pdf)
2015-05-26 12:50 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description calebm 2014-04-10 19:03:32 UTC
Created attachment 97174 [details]
A screen shot of gap in the underlined text.

Problem description: 
When a section of underlined text is italicized there is tiny gap in the line under the text. Does not show up when printed to hard copy.

Steps to reproduce:
1. Underline a section of text.
2. Italicized portion of text.

Current behavior:
Gap appears in line

Expected behavior:
A continuous line beneath italicized and non italicized underlined text.

              
Operating System: Ubuntu
Version: 4.2.3.1 rc
Comment 1 sophie 2014-04-16 14:14:02 UTC
Hi, I do not reproduce using Version: 4.2.3.3
Build ID: 882f8a0a489bc99a9e60c7905a60226254cb6ff0 Ubuntu 13.10. There is no gap in the line - Sophie
Comment 2 Yousuf Philips (jay) (retired) 2014-06-07 02:07:09 UTC
Confirmed in Linux Mint in 3.3.0, 4.2.4 and 4.3 beta. If you zoom in on the text at 600% (580% for 3.3.0), you can clearly see the slight gap in the line, and then if you zoom out to different levels, you will also notice it. Tested it with Arial, Liberation Serif, and Times New Roman.
Comment 3 Yousuf Philips (jay) (retired) 2014-06-07 02:07:44 UTC
Created attachment 100580 [details]
duplicate of the sample text created by reporter
Comment 4 Gordo 2015-05-26 12:50:47 UTC
Created attachment 116050 [details]
examples exported to pdf

Can reproduce in Windows.

It is not just italics but also bold.  It can be seen when exported to pdf.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 5 QA Administrators 2016-09-20 09:46:18 UTC Comment hidden (obsolete)
Comment 6 Mike 2017-12-13 16:29:55 UTC
I can confirm the issue with 6.1alpha0. But IMHO I do not think that this is highly relevant.

You can only see those gaps in Writer at 400% zoom or higher. If you take the latest build and export the document to PDF, you won’t see a gap at 6400% zoom (PDF Xchange Editor 7). If you re-import this PDF with Draw, you will see the gap at 3000% zoom, but not at 2000%.

You can NOT see the gap in the doc at maximum zoom in Word 2007 (500%), TextMaker 2016 (947%), ThinkFree Office Word (500%), Onlyoffice (200%) and AbiWord (500%). 


Version: 6.1.0.0.alpha0+ (x64)
Build ID: c7a2538129f16ef1253ae974737d5c9676aaf883
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-12-13_01:02:49
Locale: de-DE (de_DE); Calc: group threaded
Comment 7 QA Administrators 2018-12-15 03:56:20 UTC Comment hidden (obsolete)
Comment 8 Timur 2019-10-15 09:38:27 UTC
Repro 6.4+. Trivial, lowest.
Comment 9 QA Administrators 2021-10-15 03:54:23 UTC
Dear calebm,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug